## sumo 0.15.0~dfsg

=== tools/contributed/smallmaps/Makefile ===
#############################################################################
# Makefile for building: smallmaps
# Generated by qmake (1.07a) (Qt 3.3.6) on: Fri Dec  8 10:09:11 2006
# Project:  smallmaps.pro
# Template: subdirs
# Command: $(QMAKE) -o Makefile smallmaps.pro
#############################################################################

MAKEFILE =	Makefile
QMAKE    =	qmake
DEL_FILE =    rm -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p
INSTALL_FILE= 
INSTALL_DIR = 
SUBTARGETS =	 \
		sub-src

first: all

all: Makefile $(SUBTARGETS)

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "src" || $(MKDIR) "src"
	cd src && $(QMAKE) src.pro -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src && $(MAKE) -f $(MAKEFILE)

Makefile: smallmaps.pro  /usr/lib/qt-3.3/mkspecs/default/qmake.conf 
	$(QMAKE) -o Makefile smallmaps.pro
qmake: qmake_all
	@$(QMAKE) -o Makefile smallmaps.pro

all: $(SUBTARGETS)
qmake_all: src/$(MAKEFILE)
	 ( [ -d src ] && cd src ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
clean uicables mocables uiclean mocclean lexclean yaccclean : qmake_all FORCE
	 ( [ -d src ] && cd src ; $(MAKE) -f $(MAKEFILE) $@; ) || true
uninstall_subdirs: qmake_all FORCE
	 ( [ -d src ] && cd src ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
install_subdirs: qmake_all FORCE
	 ( [ -d src ] && cd src ; $(MAKE) -f $(MAKEFILE) install; ) || true
distclean: qmake_all FORCE
	 ( [ -d src ] && cd src ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true

install:  install_subdirs

uninstall:  uninstall_subdirs

FORCE:

=== tools/contributed/smallmaps/src/Makefile ===
#############################################################################
# Makefile for building: ../bin/smallmaps
# Generated by qmake (1.07a) (Qt 3.3.6) on: Fri Dec  8 10:09:13 2006
# Project:  src.pro
# Template: app
# Command: $(QMAKE) -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED
CXXFLAGS = -pipe -Wall -W -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt-3.3/mkspecs/default -I. -I$(QTDIR)/include
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L$(QTDIR)/lib -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = smallmaps.h
SOURCES = smallmaps.cpp \
		main.cpp
OBJECTS = smallmaps.o \
		main.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = moc_smallmaps.cpp
OBJMOC = moc_smallmaps.o
DIST	   = src.pro
QMAKE_TARGET = smallmaps
DESTDIR  = ../bin/
TARGET   = ../bin/smallmaps

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	test -d ../bin/ || mkdir -p ../bin/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: src.pro  /usr/lib/qt-3.3/mkspecs/default/qmake.conf /usr/lib/qt-3.3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile src.pro
qmake: 
	@$(QMAKE) -o Makefile src.pro

dist: 
	@mkdir -p .tmp/smallmaps && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/smallmaps/ && ( cd `dirname .tmp/smallmaps` && $(TAR) smallmaps.tar smallmaps && $(GZIP) smallmaps.tar ) && $(MOVE) `dirname .tmp/smallmaps`/smallmaps.tar.gz . && $(DEL_FILE) -r .tmp/smallmaps

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:

yaccclean:
lexclean:
clean: mocclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../bin/$(TARGET) $(TARGET)


FORCE:

####### Compile

smallmaps.o: smallmaps.cpp smallmaps.h \
		filesave.xpm \
		fileopen.xpm \
		fileprint.xpm

main.o: main.cpp smallmaps.h

moc_smallmaps.o: moc_smallmaps.cpp  smallmaps.h 

moc_smallmaps.cpp: $(MOC) smallmaps.h
	$(MOC) smallmaps.h -o moc_smallmaps.cpp

####### Install

install:  

uninstall:

=== debian/changelog ===
sumo (0.15.0~dfsg-3) unstable; urgency=low

  * [6ae8190] Use compat level 9. Apply hardening of buildflags.
  * [daa56b5] Remove from compilation embedded copy of gl2ps, 
              use packaged version instead.
  * [8c08de0] Add upstream file

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 18 Jul 2012 21:04:34 +0200

sumo (0.15.0~dfsg-2) unstable; urgency=low

  * [5813a09] Update fix_headers_of_scripts.patch.
  * [956cf12] Replace /usr/bin/netgen binary on /usr/bin/netgensumo. 
              (Closes: #673931)

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 27 May 2012 16:28:54 +0200

sumo (0.15.0~dfsg-1) unstable; urgency=low  
  
  * Initial packaging in Debian. (Closes: #669160)
   
 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 23 Apr 2012 19:17:01 +0200

sumo (0.14.0-1) unstable; urgency=low  
  
  * New upstream release.  
   
 -- Michael Behrisch <behrisch@users.sourceforge.net>  Thu, 12 Jan 2012 23:46:43 +0100

sumo (0.13.1-1) unstable; urgency=low  
  
  * New upstream release.  
   
 -- Michael Behrisch <behrisch@users.sourceforge.net>  Tue, 01 Nov 2011 10:24:24 +0100

sumo (0.13.0-1) unstable; urgency=low  
  
  * New upstream release.  
   
 -- Michael Behrisch <behrisch@users.sourceforge.net>  Wed, 13 Jul 2011 16:58:57 +0200

sumo (0.12.3-1) unstable; urgency=low  
  
  * New upstream release.  
   
 -- Michael Behrisch <behrisch@users.sourceforge.net>  Wed, 13 Apr 2011 19:28:57 +0200

sumo (0.10.2-1) unstable; urgency=low  
  
  * New upstream release.  
   
 -- Michael Behrisch <behrisch@informatik.hu-berlin.de>  Mon, 16 Mar 2009 22:00:47 +0100

sumo (0.10.1-1) unstable; urgency=low  
 
  * Update

 -- Michael Behrisch <behrisch@informatik.hu-berlin.de>  Sun, 15 Feb 2009 22:34:33 +0200

sumo (0.9.10-1) unstable; urgency=low  
 
  * Initial Release

 -- Michael Behrisch <behrisch@informatik.hu-berlin.de>  Thu, 23 Oct 2008 23:04:33 +0200

=== debian/control ===
Source: sumo
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladky.anton@gmail.com>
DM-Upload-Allowed: yes
Homepage: http://sumo.sourceforge.net/
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/debian-science/packages/sumo.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/sumo.git
Build-Depends: debhelper (>= 9), libxerces-c2-dev, dpkg-dev (>= 1.16.1~),
 libgdal-dev, libproj-dev, libfox-1.6-dev, libgl2ps-dev, 
 libxrandr-dev, libbz2-dev, libcups2-dev, help2man
Build-Depends-Indep: doxygen, python

Package: sumo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: sumo-tools
Description: Simulation of Urban MObility (SUMO)
 SUMO is an open source,
 highly portable, microscopic road traffic simulation package
 designed to handle large road networks.
 Main binary.

Package: sumo-tools
Architecture: all
Section: doc
Depends: ${misc:Depends}, python, jarwrapper
Recommends: sumo
Description: Simulation of Urban MObility (SUMO), tools and scripts
 SUMO is an open source,
 highly portable, microscopic road traffic simulation package
 designed to handle large road networks.
 The binary contatins different tools and scripts.

Package: sumo-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Recommends: sumo
Description: Simulation of Urban MObility (SUMO), documentation and examples
 SUMO is an open source,
 highly portable, microscopic road traffic simulation package
 designed to handle large road networks.
 The binary contatins documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel


export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export LIBS := -lgl2ps

include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr

override_dh_auto_build-indep:
	$(MAKE) doxygen
	$(MAKE) pydoc
	#Clean some unneeded files and fix permissions
	find ./tools -name '*.pyc' -print0 | xargs -0 rm -f
	rm ./tools/contributed/smallmaps/COPYING
	rm ./tools/contributed/sumoplayer/LICENSE
	rm ./tools/contributed/traci4j/COPYING
	rm ./tools/contributed/trafficmodeler/src/resources/icons/Thumbs.db
	find ./tools -name '*.java' -print0 | xargs -0 chmod -x
	find ./tools -name '*.jar' -print0 | xargs -0 chmod -x
	find ./tools/contributed/traci4j -type f -print0 | xargs -0 chmod -x
	chmod -x ./tools/projects/TaxiFCD_Krieg/src/backup/BackupFolder.pyw
	chmod -x ./tools/build/dailyBuildMSVC8.bat

override_dh_auto_build-arch:
	dh_auto_build -a
	$(MAKE) man
	
override_dh_auto_install-arch:
	dh_auto_install -a
	mv $(CURDIR)/debian/tmp/usr/bin/netgen $(CURDIR)/debian/tmp/usr/bin/netgensumo

override_dh_auto_test-arch:
	mkdir $(CURDIR)/tests
	cd $(CURDIR)/tests; cp ../docs/examples/sumo/visualization/parade/* ./; ../bin/sumo -b 0 -e 10000 -n net.net.xml -r input_routes.rou.xml -c parade.sumocfg  --summary-output sum.out
	cat $(CURDIR)/tests/sum.out
	rm -rf $(CURDIR)/tests

## sumo 0.16.0~dfsg

=== debian/changelog ===
sumo (0.16.0~dfsg-1~exp1ubuntu1) raring; urgency=low

  * Added missing libs to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 15 Apr 2013 17:43:00 -0400

sumo (0.16.0~dfsg-1~exp1) experimental; urgency=low

  * [771d69c] Imported Upstream version 0.16.0~dfsg
  * [5da3835] Update/remove patches.
  * [caa9ffa] Rename netgensumo to netgenerate (upstream decision).

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 04 Dec 2012 18:53:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sumo
 Section: science
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladky.anton@gmail.com>
 DM-Upload-Allowed: yes
 Homepage: http://sumo.sourceforge.net/

## sumo 0.17.1~dfsg

=== debian/changelog ===
sumo (0.17.1~dfsg-6) unstable; urgency=low

  * [0f04b59] Use autotools-dev again on all platforms.

 -- Anton Gladky <gladk@debian.org>  Sun, 16 Jun 2013 01:00:29 +0200

sumo (0.17.1~dfsg-5) unstable; urgency=low

  * [bff2b7d] Do not use autoreconf on mips.

 -- Anton Gladky <gladk@debian.org>  Sat, 15 Jun 2013 09:35:16 +0200

sumo (0.17.1~dfsg-4) unstable; urgency=low

  * [3a52bc9] Add freeglut3-dev to BD to fix FTBFS on mips*.
  * [2d47a7a] Add keyword-entry into desktop-file.

 -- Anton Gladky <gladk@debian.org>  Thu, 13 Jun 2013 23:14:32 +0200

sumo (0.17.1~dfsg-3) unstable; urgency=low

  * [f7f8e0d] Use autoreconf.

 -- Anton Gladky <gladk@debian.org>  Wed, 12 Jun 2013 23:41:45 +0200

sumo (0.17.1~dfsg-2) unstable; urgency=low

  [ Daniel T Chen ]
  * [1ff46ca] Added missing libs to link, fixing FTBFS.

  [ Julian Taylor ]
  * [5961f4c] Fix FTBFS with ld --no-add-needed. (Closes: #710373)

  [ Anton Gladky ]
  * [ec4054e] Use canonical VCS-field.
  * [ec9218d] Update fix_scripts_headers.patch.
  * [431de9e] Do not install .gitignore file.
  * [c45ac64] Add autotools-dev to BD.
  * [891e775] Update fix_headers-patch.
  * [ff138d5] Use wrap-and-sort.

 -- Anton Gladky <gladk@debian.org>  Mon, 10 Jun 2013 22:37:01 +0200

sumo (0.17.1~dfsg-1) unstable; urgency=low

  * [1a2a17f] Imported Upstream version 0.17.1~dfsg
  * [1543af7] Remove obsolete DM-Upload-Allowed flag.
  * [f4521cb] Minor update in copyright file.
  * [74e45db] Bumper Standards-Version 3.9.4 (no changes).
  * [d29e6e2] Refresh patches.

 -- Anton Gladky <gladk@debian.org>  Wed, 08 May 2013 23:32:58 +0200

=== debian/control ===
Source: sumo
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Anton Gladky <gladk@debian.org>
Homepage: http://sumo.sourceforge.net/
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/debian-science/packages/sumo.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/sumo.git
Build-Depends:
 autotools-dev,
 debhelper (>= 9),
 dh-autoreconf,
 dpkg-dev (>= 1.16.1~),
 freeglut3-dev,
 help2man,
 libbz2-dev,
 libcups2-dev,
 libfox-1.6-dev,
 libgdal-dev,
 libgl2ps-dev,
 libproj-dev,
 libxerces-c2-dev,
 libxrandr-dev
Build-Depends-Indep:
 doxygen,
 python

Package: sumo
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 sumo-tools
Description: Simulation of Urban MObility (SUMO)
 SUMO is an open source,
 highly portable, microscopic road traffic simulation package
 designed to handle large road networks.
 Main binary.

Package: sumo-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends}
Recommends:
 sumo
Description: Simulation of Urban MObility (SUMO), documentation and examples
 SUMO is an open source,
 highly portable, microscopic road traffic simulation package
 designed to handle large road networks.
 The binary contatins documentation and examples.

Package: sumo-tools
Architecture: all
Section: doc
Depends:
 jarwrapper,
 python,
 ${misc:Depends}
Recommends:
 sumo
Description: Simulation of Urban MObility (SUMO), tools and scripts
 SUMO is an open source,
 highly portable, microscopic road traffic simulation package
 designed to handle large road networks.
 The binary contatins different tools and scripts.

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,15 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with autoreconf
 
-
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-export LIBS := -lgl2ps
+export LIBS := -lgl2ps -lGL -lGLU -lglut
 
 include /usr/share/dpkg/buildflags.mk
 
@@ -26,6 +25,7 @@
 	rm ./tools/contributed/sumoplayer/LICENSE
 	rm ./tools/contributed/traci4j/COPYING
 	rm ./tools/contributed/trafficmodeler/src/resources/icons/Thumbs.db
+	rm ./tools/contributed/traci4j/.gitignore
 	find ./tools -name '*.java' -print0 | xargs -0 chmod -x
 	find ./tools -name '*.jar' -print0 | xargs -0 chmod -x
 	find ./tools/contributed/traci4j -type f -print0 | xargs -0 chmod -x
@@ -36,10 +36,6 @@
 	dh_auto_build -a
 	$(MAKE) man
 	
-override_dh_auto_install-arch:
-	dh_auto_install -a
-	mv $(CURDIR)/debian/tmp/usr/bin/netgen $(CURDIR)/debian/tmp/usr/bin/netgensumo
-
 override_dh_auto_test-arch:
 	mkdir $(CURDIR)/tests
 	cd $(CURDIR)/tests; cp ../docs/examples/sumo/visualization/parade/* ./; ../bin/sumo -b 0 -e 10000 -n net.net.xml -r input_routes.rou.xml -c parade.sumocfg  --summary-output sum.out

## sumo 0.19.0%2Bdfsg

=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg// \
http://sf.net/sumo/sumo-src-([\d.]+)\.tar\.gz debian uupdate

## sumo 0.19.0+dfsg

=== debian/changelog ===
sumo (0.19.0+dfsg-2) unstable; urgency=medium

  * [b7da9b1] Replace libxerces-c2-dev by libxerces-c-dev. (Closes: #732217)

 -- Anton Gladky <gladk@debian.org>  Sun, 15 Dec 2013 20:25:55 +0100

sumo (0.19.0+dfsg-1) unstable; urgency=low

  * [24595ef] Imported Upstream version 0.19.0+dfsg
  * [a2ba852] Refresh patch.
  * [0dc4baf] Set Standards-Version: 3.9.5. No changes.

 -- Anton Gladky <gladk@debian.org>  Sat, 30 Nov 2013 19:18:43 +0100

sumo (0.18.0+repack+dfsg-1) unstable; urgency=high

  * [4da44c5] Add script, which removes *.jar files. (Closes: #728777)
  * [7870538] Imported Upstream version 0.18.0+repack+dfsg
  * [401d451] Enable eulerspiral, as it was relicensed under LGPL.

 -- Anton Gladky <gladk@debian.org>  Mon, 18 Nov 2013 19:38:03 +0100

sumo (0.18~dfsg-1) unstable; urgency=low

  * [3a366bf] Use hardening=+all parameter on all archs except mips.
  * [d014241] Update homepage.
  * [23e6778] Imported Upstream version 0.18~dfsg
  * [5b43e89] Refresh patches.
  * [b27582b] Minor fix in debian/rules.
  * [6b5053e] Change section for sumo-tools package from "doc" to "science". 
              (Closes: #717393)

 -- Anton Gladky <gladk@debian.org>  Fri, 30 Aug 2013 21:58:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Anton Gladky <gladk@debian.org>
-Homepage: http://sumo.sourceforge.net/
-Standards-Version: 3.9.4
+Homepage: http://sumo-sim.org/
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/sumo.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/sumo.git
 Build-Depends:
@@ -21,7 +21,7 @@
  libgdal-dev,
  libgl2ps-dev,
  libproj-dev,
- libxerces-c2-dev,
+ libxerces-c-dev,
  libxrandr-dev
 Build-Depends-Indep:
  doxygen,
@@ -56,7 +56,7 @@
 
 Package: sumo-tools
 Architecture: all
-Section: doc
+Section: science
 Depends:
  jarwrapper,
  python,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,12 @@
 %:
 	dh $@ --parallel --with autoreconf
 
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+no_hardening_all_archs = mips mipsel
+
+ifeq (,$(filter $(DEB_HOST_ARCH),$(no_hardening_all_archs)))
+  export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+endif
+
 DPKG_EXPORT_BUILDFLAGS = 1
 
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
@@ -21,13 +26,11 @@
 	$(MAKE) pydoc
 	#Clean some unneeded files and fix permissions
 	find ./tools -name '*.pyc' -print0 | xargs -0 rm -f
-	rm ./tools/contributed/smallmaps/COPYING
 	rm ./tools/contributed/sumoplayer/LICENSE
 	rm ./tools/contributed/traci4j/COPYING
 	rm ./tools/contributed/trafficmodeler/src/resources/icons/Thumbs.db
 	rm ./tools/contributed/traci4j/.gitignore
 	find ./tools -name '*.java' -print0 | xargs -0 chmod -x
-	find ./tools -name '*.jar' -print0 | xargs -0 chmod -x
 	find ./tools/contributed/traci4j -type f -print0 | xargs -0 chmod -x
 	chmod -x ./tools/projects/TaxiFCD_Krieg/src/backup/BackupFolder.pyw
 	chmod -x ./tools/build/dailyBuildMSVC8.bat

## sumo 0.21.0+dfsg

=== debian/changelog ===
sumo (0.21.0+dfsg-1) unstable; urgency=medium

  * [d7097c6] Imported Upstream version 0.21.0+dfsg
  * [655607d] Refresh patches.
  * [04454ca] Add autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Fri, 20 Jun 2014 23:03:11 +0200

sumo (0.20.0+dfsg-1) unstable; urgency=medium

  * [83c56d0] Remove debian/README.source
  * [fd5408c] Imported Upstream version 0.20.0+dfsg
  * [0c91c63] Refresh patches.

 -- Anton Gladky <gladk@debian.org>  Sat, 15 Mar 2014 16:50:07 +0100

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
 Build-Depends-Indep:
  doxygen,
  python
+XS-Testsuite: autopkgtest
 
 Package: sumo
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	$(MAKE) man
 	
 override_dh_auto_test-arch:
-	mkdir $(CURDIR)/tests
-	cd $(CURDIR)/tests; cp ../docs/examples/sumo/visualization/parade/* ./; ../bin/sumo -b 0 -e 10000 -n net.net.xml -r input_routes.rou.xml -c parade.sumocfg  --summary-output sum.out
-	cat $(CURDIR)/tests/sum.out
-	rm -rf $(CURDIR)/tests
+	mkdir $(CURDIR)/tests_auto
+	cd $(CURDIR)/tests_auto; cp ../docs/examples/sumo/visualization/parade/* ./; ../bin/sumo -b 0 -e 10000 -n net.net.xml -r input_routes.rou.xml -c parade.sumocfg  --summary-output sum.out
+	cat $(CURDIR)/tests_auto/sum.out
+	rm -rf $(CURDIR)/tests_auto

## sumo 0.23.0+dfsg1

=== debian/changelog ===
sumo (0.23.0+dfsg1-2build2) wily; urgency=medium

  * No-change rebuild against libgdal1i

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 23 Aug 2015 01:28:12 +0000

sumo (0.23.0+dfsg1-2build1) wily; urgency=medium

  * No change rebuild to pick up libproj9 on armhf 

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 01 Jun 2015 15:22:32 -0500

sumo (0.23.0+dfsg1-2) unstable; urgency=medium

  * Move package from experimental to unstable

 -- Anton Gladky <gladk@debian.org>  Mon, 04 May 2015 21:26:14 +0200

sumo (0.23.0+dfsg1-2~exp1) experimental; urgency=medium

  * [de8037f] Drop msse2 buildfpags, unsupported by some platforms

 -- Anton Gladky <gladk@debian.org>  Mon, 20 Apr 2015 21:00:43 +0200

sumo (0.23.0+dfsg1-1~exp1) experimental; urgency=medium

  * [aad3ecb] Update d/copyright.
  * [f68572e] Imported Upstream version 0.23.0+dfsg1
  * [006ec0e] Refresh patches.
  * [d6fdb64] Apply cme fix for d/control.
  * [51222ad] Update d/copyright.

 -- Anton Gladky <gladk@debian.org>  Fri, 17 Apr 2015 17:38:22 +0200

sumo (0.22.0+dfsg-1~exp1) experimental; urgency=medium

  * [08bef65] Add Files-Excluded to d/copyright.
  * [01c89e5] Imported Upstream version 0.22.0+dfsg
  * [f73a708] Remove gl2ps from d/copyright.
  * [785774f] Refresh patches.
  * [b196497] Set Standards-Version: 3.9.6. No changes.
  * [923a4d9] Update homepage.
  * [34a84c3] Move d/upstream to d/upstream/metadata. Update it.
  * [b0c3f64] Fix lintian warnings in d/copyright.

 -- Anton Gladky <gladk@debian.org>  Thu, 20 Nov 2014 22:02:45 +0100

=== debian/control ===
Source: sumo
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1~),
               freeglut3-dev,
               help2man,
               libbz2-dev,
               libcups2-dev,
               libfox-1.6-dev,
               libgdal-dev,
               libgl2ps-dev,
               libproj-dev,
               libxerces-c-dev,
               libxrandr-dev
Build-Depends-Indep: doxygen,
                     python
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sumo.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/sumo.git
Homepage: http://sumo.dlr.de/

Package: sumo
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: sumo-tools
Description: Simulation of Urban MObility (SUMO)
 SUMO is an open source,
 highly portable, microscopic road traffic simulation package
 designed to handle large road networks.
 Main binary.

Package: sumo-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Recommends: sumo
Description: Simulation of Urban MObility (SUMO), documentation and examples
 SUMO is an open source,
 highly portable, microscopic road traffic simulation package
 designed to handle large road networks.
 The binary contatins documentation and examples.

Package: sumo-tools
Architecture: all
Depends: jarwrapper,
         python,
         ${misc:Depends}
Recommends: sumo
Description: Simulation of Urban MObility (SUMO), tools and scripts
 SUMO is an open source,
 highly portable, microscopic road traffic simulation package
 designed to handle large road networks.
 The binary contatins different tools and scripts.

## sumo 0.25.0%2Bdfsg1

=== debian/tests/control ===
Tests: parade
Depends: sumo

## sumo 0.25.0+dfsg1

=== debian/changelog ===
sumo (0.25.0+dfsg1-2) unstable; urgency=medium

  * [e0c661b] Add marouter and netedit to usr/bin.
              Thanks to Jakob Erdmann <namdre.sumo@googlemail.com>

 -- Anton Gladky <gladk@debian.org>  Thu, 14 Jan 2016 19:30:02 +0100

sumo (0.25.0+dfsg1-1) unstable; urgency=medium

  * [c4a28a0] Imported Upstream version 0.25.0+dfsg1. (Closes: #802470)
  * [cf1cc2a] Refresh patches.
  * [f37c4fd] Refresh d/rules.
  * [566cd3b] Apply cme fix dpkg.
  * [8c9ea7f] Drop menu-file.
  * [05ad9d7] Add proper python-dependencies.
  * [21a0ed4] Update d/copyright.
  * [5e839de] Use system packaged OpenLayers.js.

 -- Anton Gladky <gladk@debian.org>  Tue, 12 Jan 2016 22:29:34 +0100

sumo (0.24.0+dfsg1-1) unstable; urgency=medium

  * [420b439] Update d/watch.
  * [f72c31b] Refresh patches.
  * [c21b7b2] Remove old scripts.
  * [227569e] Imported Upstream version 0.24.0+dfsg1

 -- Anton Gladky <gladk@debian.org>  Sat, 12 Sep 2015 21:38:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sumo
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: science
 Testsuite: autopkgtest
@@ -52,7 +51,9 @@
 Package: sumo-tools
 Architecture: all
 Depends: jarwrapper,
+         libjs-openlayers,
          python,
+         python3,
          ${misc:Depends}
 Recommends: sumo
 Description: Simulation of Urban MObility (SUMO), tools and scripts

=== debian/rules ===
--- 
+++ 
@@ -26,10 +26,13 @@
 	$(MAKE) pydoc
 	#Clean some unneeded files and fix permissions
 	find ./tools -name '*.pyc' -print0 | xargs -0 rm -f
-	rm ./tools/contributed/sumoplayer/LICENSE
-	rm ./tools/contributed/traci4j/COPYING
-	rm ./tools/contributed/trafficmodeler/src/resources/icons/Thumbs.db
-	rm ./tools/contributed/traci4j/.gitignore
+	rm -rf ./tools/contributed/traci4j/COPYING
+	rm -rf ./tools/contributed/trafficmodeler/src/resources/icons/Thumbs.db
+	rm -rf ./tools/contributed/traci4j/.gitignore
+	rm -rf ./tools/contributed/traas/license.txt
+	rm -rf ./tools/contributed/traci4matlab/license.txt
+	rm -rf ./tools/contributed/trafficmodeler/LICENSE.txt
+	rm -rf ./tools/game/sounds/license.txt
 	find ./tools -name '*.java' -print0 | xargs -0 chmod -x
 	find ./tools/contributed/traci4j -type f -print0 | xargs -0 chmod -x
 	chmod -x ./tools/projects/TaxiFCD_Krieg/src/backup/BackupFolder.pyw

## sumo 0.26.0+dfsg1

=== debian/changelog ===
sumo (0.26.0+dfsg1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Anton Gladky <gladk@debian.org>  Sun, 29 May 2016 09:19:45 +0200

sumo (0.26.0+dfsg1-1) unstable; urgency=medium

  * [08a309b] Refresh patches.
  * [e9c4564] Minor fixes in d/rules.
  * [5bdf3b9] Remove pycache-files.
  * [dbf9954] Set Standards-Version to 3.9.8. No changes.
  * [933fda6] Remove dpkg-dev from build-depends.
  * [4218818] Update d/copyright.
  * [d7c2d92] Update autopkgtest.
  * [a3f3e74] Fix unit-test
  * [98423f7] Imported Upstream version 0.26.0+dfsg1

 -- Anton Gladky <gladk@debian.org>  Sun, 15 May 2016 08:29:44 +0200

sumo (0.25.0+dfsg1-3) unstable; urgency=medium

  [ Anton Gladky ]
  * [584dfb1] Apply cme fix dpkg.
  * [80de93e] Update sumo-doc dependency.

  [ Santiago Vila ]
  * [cf767d8] Force Makefile check for errors. (Closes: #817033)
  * [5f3f351] Add python-matplotlib to the BD-Indep.

 -- Anton Gladky <gladk@debian.org>  Thu, 07 Apr 2016 23:35:27 +0200

sumo (0.23.0+dfsg1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Anton Gladky <gladk@debian.org>  Fri, 15 May 2015 22:33:02 +0200

## sumo 0.27.1+dfsg1

=== debian/changelog ===
sumo (0.27.1+dfsg1-1) unstable; urgency=medium

  * [0622343] Imported Upstream version 0.27.1+dfsg1
  * [e550fac] Refresh patches.
  * [03913ad] Apply cme fix dpkg-copytight.

 -- Anton Gladky <gladk@debian.org>  Fri, 12 Aug 2016 20:34:54 +0200

## sumo 0.28.0+dfsg1

=== debian/changelog ===
sumo (0.28.0+dfsg1-1) unstable; urgency=medium

  * [ca1e1eb] Exclude some bimary files.
  * [e4f942c] New upstream version 0.28.0+dfsg1
  * [66fa6c3] Refresh patches.
  * [58d6734] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Tue, 08 Nov 2016 22:47:32 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
-               dpkg-dev (>= 1.16.1~),
                freeglut3-dev,
                help2man,
                libbz2-dev,
@@ -19,10 +18,11 @@
                libxerces-c-dev,
                libxrandr-dev
 Build-Depends-Indep: doxygen,
-                     python
-Standards-Version: 3.9.6
+                     python,
+                     python-matplotlib
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sumo.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/sumo.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sumo.git
 Homepage: http://sumo.dlr.de/
 
 Package: sumo
@@ -39,7 +39,7 @@
 Package: sumo-doc
 Architecture: all
 Section: doc
-Depends: libjs-jquery,
+Depends: libjs-underscore,
          ${misc:Depends}
 Recommends: sumo
 Description: Simulation of Urban MObility (SUMO), documentation and examples

=== debian/rules ===
--- 
+++ 
@@ -36,14 +36,17 @@
 	find ./tools -name '*.java' -print0 | xargs -0 chmod -x
 	find ./tools/contributed/traci4j -type f -print0 | xargs -0 chmod -x
 	chmod -x ./tools/projects/TaxiFCD_Krieg/src/backup/BackupFolder.pyw
-	chmod -x ./tools/build/dailyBuildMSVC8.bat
 
 override_dh_auto_build-arch:
 	dh_auto_build -a
 	$(MAKE) man
-	
+
+override_dh_auto_install:
+	dh_auto_install
+	find . -type d -name "__pycache__" -delete
+
 override_dh_auto_test-arch:
 	mkdir $(CURDIR)/tests_auto
-	cd $(CURDIR)/tests_auto; cp ../docs/examples/sumo/visualization/parade/* ./; ../bin/sumo -b 0 -e 10000 -n net.net.xml -r input_routes.rou.xml -c parade.sumocfg  --summary-output sum.out
+	cd $(CURDIR)/tests_auto; cp ../docs/examples/sumo/hokkaido/* ./; ../bin/sumo -b 0 -e 10000 -n net.net.xml -r input_routes.rou.xml -c hokkaido.sumocfg  --summary-output sum.out
 	cat $(CURDIR)/tests_auto/sum.out
 	rm -rf $(CURDIR)/tests_auto

## sumo 0.30.0+dfsg1

=== debian/changelog ===
sumo (0.30.0+dfsg1-1) unstable; urgency=medium

  * [78f2092] New upstream version 0.30.0+dfsg1
  * [07cc5b1] Refresh patches.
  * [c29b854] Bump Standards-Version: 4.0.0

 -- Anton Gladky <gladk@debian.org>  Sun, 23 Jul 2017 16:19:12 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Build-Depends-Indep: doxygen,
                      python,
                      python-matplotlib
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sumo.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sumo.git
 Homepage: http://sumo.dlr.de/

## sumo 0.32.0+dfsg1

=== debian/changelog ===
sumo (0.32.0+dfsg1-1) unstable; urgency=medium

  * [74d6c2b] New upstream version 0.32.0+dfsg1
  * [e861a46] Refresh patches
  * [750e89d] Remove unneeded lines from d/rules
  * [f104b53] Set Standards-Version: 4.1.2. No changes
  * [0cd6e98] Remove testsuite-fiels in d/control

 -- Anton Gladky <gladk@debian.org>  Sun, 24 Dec 2017 18:07:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: science
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: autotools-dev,
                debhelper (>= 9),
@@ -20,7 +19,7 @@
 Build-Depends-Indep: doxygen,
                      python,
                      python-matplotlib
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sumo.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sumo.git
 Homepage: http://sumo.dlr.de/

=== debian/rules ===
--- 
+++ 
@@ -33,9 +33,6 @@
 	rm -rf ./tools/contributed/traci4matlab/license.txt
 	rm -rf ./tools/contributed/trafficmodeler/LICENSE.txt
 	rm -rf ./tools/game/sounds/license.txt
-	find ./tools -name '*.java' -print0 | xargs -0 chmod -x
-	find ./tools/contributed/traci4j -type f -print0 | xargs -0 chmod -x
-	chmod -x ./tools/projects/TaxiFCD_Krieg/src/backup/BackupFolder.pyw
 
 override_dh_auto_build-arch:
 	dh_auto_build -a
